@use "sass:list"

$leftList: 7% 17% 25% 33% 41% 49% 58% 65% 73% 80% 87% 2% 
$widthList: 12px 45px 54px 98px 43px 59px 36px 64px 34px 43px 26px 40px 
$heightList: 12px 45px 54px 98px 43px 59px 36px 64px 34px 43px 26px 40px 
$annimationDelayList: -21s -15s 1s -7s 3s 12s 5s 5s 8s 4s 2s 0.3s 
$annimationDuratioList: 3s 17s 13s 31s 22s 15s 16s 17s 33s 23s 34s 22s
@debug list.nth($leftList, 2)

@for $i from 1 through 12
  .bubble--#{$i}
    background: var(--dynamic-background-color)
    border-radius: 50%
    opacity: 0.2
    z-index: -1
    bottom: -16%
    position: absolute
    width: list.nth($widthList, $i) 
    height: list.nth($heightList, $i)
    left: list.nth($leftList, $i)
    animation-delay: list.nth($annimationDelayList, $i)
    animation-duration: list.nth($annimationDuratioList, $i)

:root
    --dynamic-background-color: white
[theme="dark"]  
  --dynamic-background-color: #8a0303 